List Purchased Credits
QUERY
https://api.youvico.com/api/workspace/purchased-credits- Rate Limit
- Default
- Scope
- credits:read
Lists the workspace's credit purchases, newest first. Expired and used-up purchases are included.
Example
curl -X QUERY 'https://api.youvico.com/api/workspace/purchased-credits' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{}'
{
"data": [
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"credit": {
"id": "9e8d7c6b-5a4f-4e3d-8c2b-1a0f9e8d7c6b",
"name": "500 Credits"
},
"quantity": 2,
"remainCredits": 600,
"reservedCredits": 100,
"usedCredits": 300,
"expiredAt": "2027-04-02 03:00:00.204518",
"createdAt": "2026-04-02 03:00:00.204518"
}
],
"page": {
"next": null,
"prev": null
}
}
Request
curl -X QUERY 'https://api.youvico.com/api/workspace/purchased-credits' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{}'
Response200 OK
{
"data": [
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"credit": {
"id": "9e8d7c6b-5a4f-4e3d-8c2b-1a0f9e8d7c6b",
"name": "500 Credits"
},
"quantity": 2,
"remainCredits": 600,
"reservedCredits": 100,
"usedCredits": 300,
"expiredAt": "2027-04-02 03:00:00.204518",
"createdAt": "2026-04-02 03:00:00.204518"
}
],
"page": {
"next": null,
"prev": null
}
}
Request
Body
nextstringMaximum 2048 characters
Cursor from page.next
prevstringMaximum 2048 characters
Cursor from page.prev
Response
Returns 200 OK.
dataarrayCredit purchases
data[].idstringPurchase ID
Example: 1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d
data[].creditobjectCredit product
data[].quantitynumberQuantity purchased
Example: 2
data[].remainCreditsnumberRemaining credits, excluding reserved credits
Example: 600
data[].reservedCreditsnumberCredits reserved by running AI jobs
Example: 100
data[].usedCreditsnumberUsed credits
Example: 300
data[].expiredAtstringExpiry time
Example: 2027-04-02 03:00:00.204518
data[].createdAtstringPurchase time
Example: 2026-04-02 03:00:00.204518
pageobjectPagination cursors
page.nextstring?Next page cursor
Example: null
page.prevstring?Previous page cursor
Example: null